<?php

/**
 * @name      DraftToMenu
 * @copyright DraftToMenu contributors
 * @license   BSD http://opensource.org/licenses/BSD-3-Clause
 *
 * @version 0.0.1
 *
 */

// Thats just no to you
if (!defined('ELK'))
	die('No access...');

class DraftToMenu_Integrate
{
	public static function integrate_menu_buttons(&$buttons)
	{
		global $modSettings, $txt, $scripturl, $user_info;

		loadLanguage('Drafts');
		$buttons['profile']['sub_buttons'] = elk_array_insert($buttons['profile']['sub_buttons'],
			'logout',
			array(
				'showdrafts' => array(
					'title' => $txt['drafts_show'],
					'href' => $scripturl . '?action=profile;area=showdrafts',
					'show' => !$user_info['is_guest'] && !empty($modSettings['drafts_enabled']) && allowedTo('profile_view_own'),
				),
			)
		);
	}
}